
%global meadversion 1.1.6
%global namedversion 1.1.6.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package glassfish-json}
%{!?scl:%global pkg_name %{name}}

%global artifact_name jakarta.json

%define maven_version 1.1.6.redhat-00001

Name:           %{?scl_prefix}glassfish-json
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JSR 374:Java API for Processing JSON RI
Group:          Development/Java

%if %with mead
Source100: json-1.1.6.redhat-00001-project-sources.tar.gz
Source102: jakarta.json-api-1.1.6.redhat-00001-javadoc.jar
Source103: defaultprovider-1.1.6.redhat-00001.pom
Source104: jakarta.json-1.1.6.redhat-00001.pom
Source105: jsondemos-jsonpointer-1.1.6.redhat-00001-sources.jar
Source106: jakarta.json-api-1.1.6.redhat-00001.pom
Source107: jsonp-tests-1.1.6.redhat-00001.pom
Source108: jsondemos-twitter-1.1.6.redhat-00001.pom
Source109: json-ri-bundle-1.1.6.redhat-00001.zip
Source110: jsondemos-facebook-1.1.6.redhat-00001.pom
Source111: jsonp-jaxrs-1x-1.1.6.redhat-00001.pom
Source112: jsondemos-facebook-1.1.6.redhat-00001.jar
Source113: jsondemos-twitter-1.1.6.redhat-00001-sources.jar
Source114: jsondemos-jaxrs-1.1.6.redhat-00001.pom
Source115: jsondemos-servlet-1.1.6.redhat-00001.pom
Source116: customprovider-1.1.6.redhat-00001.war
Source117: customprovider-1.1.6.redhat-00001-sources.jar
Source118: jsondemos-jsonpointer-1.1.6.redhat-00001.jar
Source119: jakarta.json-api-1.1.6.redhat-00001-sources.jar
Source120: jsonp-jaxrs-1x-1.1.6.redhat-00001-sources.jar
Source121: jsonp-tests-1.1.6.redhat-00001.jar
Source122: jsonp-jaxrs-1.1.6.redhat-00001-javadoc.jar
Source123: defaultprovider-1.1.6.redhat-00001.war
Source124: jsondemos-jsonpointer-1.1.6.redhat-00001.pom
Source125: jsonp-jaxrs-1.1.6.redhat-00001.pom
Source126: jsonp-jaxrs-1x-1.1.6.redhat-00001-javadoc.jar
Source127: jakarta.json-1.1.6.redhat-00001-javadoc.jar
Source128: jsondemos-servlet-1.1.6.redhat-00001-sources.jar
Source129: json-ri-bundle-1.1.6.redhat-00001.pom
Source130: jakarta.json-1.1.6.redhat-00001-sources.jar
Source131: jsonp-tests-1.1.6.redhat-00001-sources.jar
Source132: jakarta.json-1.1.6.redhat-00001.jar
Source133: jsonp-jaxrs-1.1.6.redhat-00001-sources.jar
Source134: jsonp-jaxrs-1x-1.1.6.redhat-00001.jar
Source135: json-bundles-1.1.6.redhat-00001.pom
Source136: jsondemos-servlet-1.1.6.redhat-00001.war
Source137: json-1.1.6.redhat-00001.pom
Source138: jsondemos-facebook-1.1.6.redhat-00001-sources.jar
Source139: demos-1.1.6.redhat-00001.pom
Source140: customprovider-1.1.6.redhat-00001.pom
Source141: jsonp-jaxrs-1.1.6.redhat-00001.jar
Source142: jsondemos-twitter-1.1.6.redhat-00001.jar
Source143: jsondemos-jaxrs-1.1.6.redhat-00001-sources.jar
Source144: providers-1.1.6.redhat-00001.pom
Source145: defaultprovider-1.1.6.redhat-00001-sources.jar
Source146: jsondemos-jaxrs-1.1.6.redhat-00001.war
Source147: jakarta.json-api-1.1.6.redhat-00001.jar
%endif

License:        EPL-2.0
URL:            http://jsonp.java.net
%if 0
Requires:       %{?scl_prefix_eap}javax.inject >= 0:1
Requires:       %{?scl_prefix_eap}cdi-api >= 0:1.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/glassfish-json-%{namedversion}-%{release}-root

%description
JSR 374:Java API for Processing JSON RI.

%if %with javadoc
%package javadoc
Summary:        Javadoc for glassfish-json
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n json-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{artifact_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact_name}-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/%{artifact_name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact_name}-%{namedversion}-javadoc.jar
%endif
%if 0
%{__cp} -p %{_sourcedir}/%{artifact_name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact_name}-%{namedversion}-sources.jar
%endif

%{__cp} -p %{_sourcedir}/%{artifact_name}-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact_name}-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/%{artifact_name}-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact_name}-api-%{namedversion}-javadoc.jar
%endif
%if 0
%{__cp} -p %{_sourcedir}/%{artifact_name}-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact_name}-api-%{namedversion}-sources.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/glassfish-json-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{artifact_name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{artifact_name}-%{namedversion} -x META-INF/\*
%{__ln_s} glassfish-json-%{namedversion} %{buildroot}%{_javadocdir}/glassfish-json
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}glassfish-json
%defattr(0644,root,root,0755)
%doc LICENSE.md README.md
%{_javadir}/%{artifact_name}-%{namedversion}.jar
%{_javadir}/%{artifact_name}.jar
%if %with javadoc
%{_javadir}/%{artifact_name}-%{namedversion}-javadoc.jar
%{_javadir}/%{artifact_name}-javadoc.jar
%endif
%if 0
%{_javadir}/%{artifact_name}-%{namedversion}-sources.jar
%{_javadir}/%{artifact_name}-sources.jar
%endif

%{_javadir}/%{artifact_name}-api-%{namedversion}.jar
%{_javadir}/%{artifact_name}-api.jar
%if %with javadoc
%{_javadir}/%{artifact_name}-api-%{namedversion}-javadoc.jar
%{_javadir}/%{artifact_name}-api-javadoc.jar
%endif
%if 0
%{_javadir}/%{artifact_name}-api-%{namedversion}-sources.jar
%{_javadir}/%{artifact_name}-api-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{artifact_name}-%{namedversion}
%{_javadocdir}/%{artifact_name}
%endif

%changelog
* Fri Oct 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.1.6-2.redhat_00001.1
- Fix License

* Tue Sep 24 2019 Yong Yang <yyang@redhat.com> - 1.1.6-1.redhat_00001.1
- RPM wrapper build 1.1.6.redhat-00001

* Tue Sep 24 2019 Yong Yang <yyang@redhat.com> - 1.1.6-1.redhat_00001.1
- RPM wrapper build 1.1.6.redhat-00001

* Tue Sep 24 2019 Yong Yang <yyang@redhat.com> - 1.1.6-1.redhat_00001.1
- RPM wrapper build 1.1.6.redhat-00001

* Thu Jul 05 2018 Permaine Cheung <pcheung@redhat.com> - 1.1.2-1.redhat_1.1
- Wrapper for EAP 7.2.0

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.4-4.redhat_1.1
- Fix license (JBEAP-13468)

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.4-3.redhat_1.1
- Fix license (JBEAP-13468

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.4-2.redhat_1.1
- Fix license (JBEAP-13468)

* Tue Feb 07 2017 Petr Sakar <psakar@redhat.com> - 1.0.4-1.redhat_1.1
- upgrade to 1.0.4.redhat-1

* Tue Aug 18 2015 Yong Yang <yyang@redhat.com> - 1.0.3-1.redhat_1.1
- Wrapper build

* Tue Aug 18 2015 Yong Yang <yyang@redhat.com> - 1.0.3-1.Final_redhat_1.1
- Initial build

